ul.post-grid {
    margin: 0;
    padding: 0;
    list-style-type: none;
}
ul.post-grid li {
    padding: 10px;
    cursor: pointer;
    -webkit-transition: background linear 0.5s;
    transition: background linear 0.5s;

}
ul.post-grid li:hover {
    background: #e2e2e2;
    /*color: white;*/
}
ul.post-grid li:hover h3 {
    /*color: white;*/
}
.blog-container{
    padding: 15px;
    background-color: #ffffff;
}
.blog-post-summary{
    min-height: 140px;
    max-height: 140px;
    overflow: hidden;

}
.blog-post-summary-buttons{
    border-top: 1px solid #3a8bab;
}

.comment-container{
    padding: 30px;
    background-color: #ffffff;
}
.comment-post{
    min-height: 40px;
    max-height: 140px;
    overflow: hidden;

}
.btn{
    margin-right:1px;
}
.wrap {
    max-width: 560px;
    margin: 0 auto;
}

.itgm-code-block {
    max-width: 560px;
    border-left: 5px solid #7893c2;
}

.keyword {
    background-color: #6a6a6a;
    font-family: Consolas, Monaco, monospace !important;
    font-size: 12px;
    padding: 3px 5px;
    border-radius: 5px;
}


/* show all the line number */
li.L0, li.L1, li.L2, li.L3,li.L5, li.L6, li.L7, li.L8 {
    list-style-type: decimal !important;
}
code {
    font-family: Consolas, Monaco, monospace !important;
    font-weight: 100 !important;
    font-size: 12px;
}
pre {
    line-height: 24px;
    margin: 0;
    padding: 0;
    border: none;
}
pre li {
    font-size: 12px;
    color: #808080;
}
pre .highlight {
    background-color: #87ceeb;
    padding: 7px;
    border-radius: 4px;
}
/* desert scheme ported from vim to google prettify */
pre.prettyprint { display: block; }
pre .nocode {
    background-color: white;
    color: #f6876a;
    display: block;
    padding: 10px;
    margin-right: 40px;
    white-space: normal;
    font-family: helvetica, sans-serif;
}
/* pre .nocode:before {display: none} */
pre .str, .keyword.str { color: #ffa0a0 } /* string  - pink */
pre .kwd, .keyword.kwd {
    color: #f0e68c;
    /*   font-weight: bold; */
}
pre .com, .keyword.com { color: #87ceeb } /* comment - skyblue */
pre .typ, .keyword.typ { color: #98fb98 } /* type    - lightgreen */
pre .lit, .keyword.lit { color: #cd5c5c } /* literal - darkred */
pre .pun, .keyword.pun { color: #fff }    /* punctuation */
pre .pln, .keyword.pln { color: #fff }    /* plaintext */
pre .tag, .keyword.tag { color: #f0e68c; font-weight: bold } /* html/xml tag    - lightyellow */
pre .atn, .keyword.atn { color: #bdb76b; font-weight: bold } /* attribute name  - khaki */
pre .atv, .keyword.atv { color: #ffa0a0 } /* attribute value - pink */
pre .dec, .keyword.dec { color: #98fb98 } /* decimal         - lightgreen */

/* Specify class=linenums on a pre to get line numbering */
ol.linenums { margin-top: 0; margin-bottom: 0; color: #AEAEAE } /* IE indents via margin-left */
li.L0,li.L1,li.L2,li.L3,li.L5,li.L6,li.L7,li.L8 { list-style-type: none }
/* Alternate shading for lines */
li.L1,li.L3,li.L5,li.L7,li.L9 { background-color: #383838 !important }

@media print {
    pre.prettyprint { background-color: none }
    pre .str, code .str { color: #060 }
    pre .kwd, code .kwd { color: #006; font-weight: bold }
    pre .com, code .com { color: #600; font-style: italic }
    pre .typ, code .typ { color: #404; font-weight: bold }
    pre .lit, code .lit { color: #044 }
    pre .pun, code .pun { color: #440 }
    pre .pln, code .pln { color: #000 }
    pre .tag, code .tag { color: #006; font-weight: bold }
    pre .atn, code .atn { color: #404 }
    pre .atv, code .atv { color: #060 }
}


#navigation{
    background:#171B26;
    height: 100%;
    overflow-y: auto;
    z-index: 1800;
    /*padding-left: 20%;*/
}
#nav-container{
    height: 100%;
    width: 300px;
    position: fixed;
    top: 0;
}
.navbar-nav .open .dropdown-menu {
    position: static;
    float: none;
    width: auto;
    margin-top: 0;
    background-color: transparent;
    border: 0;
    -webkit-box-shadow: none;
    box-shadow: none;
}
.custom-drop{
    float:none;
    padding-top: 40px;

}
.custom-drop li{
    float:none;
}
.custom-drop li a{
    color:#fff;
    padding-left: 20%;
}
.custom-drop li a:hover,.custom-drop li a:focus{
    background-color:#31334A !important;
    color:#DCE1E7;
}

.top-menu {
    top: 5px;
    width: 25px;
    height: 2px;
    border-radius: 10px;
    background-color: #fff;
}

.mid-menu {
    top: 13px;
    width: 25px;
    height: 2px;
    border-radius: 10px;
    background-color: #fff;
}

.bottom-menu {
    top: 21px;
    width: 25px;
    height: 2px;
    border-radius: 10px;
    background-color: #fff;
}

.menui {
    background: #fff;
    transition: 0.6s ease;
    transition-timing-function: cubic-bezier(.75, 0, .29, 1.01);
    margin-top: 10px;
    position: absolute;
}

.hamburger {
    z-index: 2000;
    position: fixed;
    display: block;
    padding: 9px;
    height: 32px;
    width: 32px;
    margin: 0px;
    top: 0;
    left: 0;
}
.top-animate {
    background: #fff !important;
    top: 13px !important;
    -webkit-transform: rotate(45deg);
    transform: rotate(45deg);
}

.mid-animate {
    opacity: 0;
}

.bottom-animate {
    background: #fff !important;
    top: 13px !important;
    -webkit-transform: rotate(-225deg);
    transform: rotate(-225deg);
}
.menu-close{
    left:-300px;
}
.custom-drop > li > a {
    padding-top: 20px;
    padding-bottom: 20px;
}
.custom-drop .open > a{
    background:#000000!important;
}
.dropdown-menu{
    /*padding-left:10px;*/
}
.main{height:100%;}
.app-name{
    width: 100%;
    text-align: center;
    background:#171B26;
    position:fixed;
}
.app-name a{
    float: none !important;
    height: 50px;
    padding: 15px 15px;
    font-size: 18px;
    line-height: 50px !important;
    color:#fff !important;
}
.no-padding{padding:0!important;}


.app-navbar{
    background-color: white;
}
.navbar{
    border-radius: 0px;
}
.navbar-brand {
    width: 100%;
    text-align: center;
    color: #fff;
}
.navbar>.container .navbar-brand, .navbar>.container-fluid .navbar-brand {
    margin-left: 0px;
}
.navbar-brand:hover,
.navbar-brand:focus {
    background-color: transparent;
    color: #fff;
}

.navbar-fixed-title{
    position: fixed;
    right: 0;
    left: 0;
    z-index: 1000;
    top: 0px;
    /*border-width: 0 0 1px;*/
    box-shadow: 0 0 4px rgba(0,0,0,.14),0 4px 8px rgba(0,0,0,.28);
    background-color: white;
}

.navbar-title{
    padding-top:20px;
}
.page-title{
    text-align: center;
    font-size: 14px;
    font-weight: normal;
    padding-top:7px;
}
.page-title-left{
    text-align: left;
}
.page-title-right{
    text-align: right;
}
.right-menu {
    position: fixed;
    right: 10px;
    z-index: 2000;
    top: 7px;
}
.right-menu a {
    color: black;
}

/*.nav-pills>li>a {*/
    /*border-radius: 0px;*/
/*}*/
/*.nav-pills>li.active>a, .nav-pills>li.active>a:focus, .nav-pills>li.active>a:hover {*/
    /*color: #fff;*/
    /*background-color: #337ab7;*/
    /*border-width: 0 0 5px ;*/
/*}*/
.nav-pills > .active > a,
.nav-pills > .active > a:hover,.nav-pills > li > a:hover {
    text-decoration: none;
    font-weight: bold;
    border-radius:0px;
    border-bottom-width: 4px;
    border-bottom-style: solid;
    border-bottom-color: #8CC2BD;
    color: #E79841 !important;
    background-color: transparent !important;
    margin-right: 10px;
}

.nav-pill-item{
    color: #4b4b4b;
    font-family: Montserrat, sans-serif;
    font-size: 12pt;
    font-weight: 400;
    text-transform: uppercase;

}

.primary-link{
    margin-top: 16px;
    margin-left: 3px;
}

.brain-cradle-logo{
    margin-top: -15px;
    padding-top:8px;
    padding-bottom: 8px;
    padding-left: 6px;
    padding-right: 35px;

}

.logo-text{
    font-family: 'Oswald', sans-serif;
    padding-left: 10px;
}

.h1 {
    font-size: 28px;
}

#logo-link {
    text-decoration: none;
    font-weight: inherit;
    border-radius:0px;
    border-bottom-width: 0px;
    border-bottom-style: hidden;
    color: inherit;
    background-color: transparent !important;
    margin-right: inherit;
}

#logo-link:hover {
    text-decoration: none;
    font-weight: inherit;
    border-radius:0px;
    border-bottom-width: 0px;
    border-bottom-style: hidden;
    color: #E79841 !important;
    background-color: transparent !important;
    margin-right: inherit;
}
.wrap {
    max-width: 560px;
    margin: 0 auto;
}

.itgm-code-block {
    max-width: 560px;
    border-left: 5px solid #7893c2;
}

.keyword {
    background-color: #6a6a6a;
    font-family: Consolas, Monaco, monospace !important;
    font-size: 12px;
    padding: 3px 5px;
    border-radius: 5px;
}


/* show all the line number */
li.L0, li.L1, li.L2, li.L3,li.L5, li.L6, li.L7, li.L8 {
    list-style-type: decimal !important;
}
code {
    font-family: Consolas, Monaco, monospace !important;
    font-weight: 100 !important;
    font-size: 12px;
}
pre {
    line-height: 24px;
    margin: 0;
    padding: 0;
    border: none;
}
pre li {
    font-size: 12px;
    color: #808080;
}
pre .highlight {
    background-color: #87ceeb;
    padding: 7px;
    border-radius: 4px;
}
/* desert scheme ported from vim to google prettify */
pre.prettyprint { display: block; }
pre .nocode {
    background-color: white;
    color: #f6876a;
    display: block;
    padding: 10px;
    margin-right: 40px;
    white-space: normal;
    font-family: helvetica, sans-serif;
}
/* pre .nocode:before {display: none} */
pre .str, .keyword.str { color: #ffa0a0 } /* string  - pink */
pre .kwd, .keyword.kwd {
    color: #f0e68c;
    /*   font-weight: bold; */
}
pre .com, .keyword.com { color: #87ceeb } /* comment - skyblue */
pre .typ, .keyword.typ { color: #98fb98 } /* type    - lightgreen */
pre .lit, .keyword.lit { color: #cd5c5c } /* literal - darkred */
pre .pun, .keyword.pun { color: #fff }    /* punctuation */
pre .pln, .keyword.pln { color: #fff }    /* plaintext */
pre .tag, .keyword.tag { color: #f0e68c; font-weight: bold } /* html/xml tag    - lightyellow */
pre .atn, .keyword.atn { color: #bdb76b; font-weight: bold } /* attribute name  - khaki */
pre .atv, .keyword.atv { color: #ffa0a0 } /* attribute value - pink */
pre .dec, .keyword.dec { color: #98fb98 } /* decimal         - lightgreen */

/* Specify class=linenums on a pre to get line numbering */
ol.linenums { margin-top: 0; margin-bottom: 0; color: #AEAEAE } /* IE indents via margin-left */
li.L0,li.L1,li.L2,li.L3,li.L5,li.L6,li.L7,li.L8 { list-style-type: none }
/* Alternate shading for lines */
li.L1,li.L3,li.L5,li.L7,li.L9 { background-color: #383838 !important }

@media print {
    pre.prettyprint { background-color: none }
    pre .str, code .str { color: #060 }
    pre .kwd, code .kwd { color: #006; font-weight: bold }
    pre .com, code .com { color: #600; font-style: italic }
    pre .typ, code .typ { color: #404; font-weight: bold }
    pre .lit, code .lit { color: #044 }
    pre .pun, code .pun { color: #440 }
    pre .pln, code .pln { color: #000 }
    pre .tag, code .tag { color: #006; font-weight: bold }
    pre .atn, code .atn { color: #404 }
    pre .atv, code .atv { color: #060 }
}

ul.post-grid {
    margin: 0;
    padding: 0;
    list-style-type: none;
}
ul.post-grid li {
    padding: 10px;
    cursor: pointer;
    -webkit-transition: background linear 0.5s;
    transition: background linear 0.5s;

}
ul.post-grid li:hover {
    background: #e2e2e2;
    /*color: white;*/
}
ul.post-grid li:hover h3 {
    /*color: white;*/
}
.blog-container{
    padding: 15px;
    background-color: #ffffff;
}
.blog-post-summary{
    min-height: 140px;
    max-height: 140px;
    overflow: hidden;

}
.blog-post-summary-buttons{
    border-top: 1px solid #3a8bab;
}

.comment-container{
    padding: 30px;
    background-color: #ffffff;
}
.comment-post{
    min-height: 40px;
    max-height: 140px;
    overflow: hidden;

}

.btn{
    margin-right:1px;
}
.up{
    color: green;
}

.down{
    color:red;
}


html {
    /*height: 100%;*/
    margin: 0;
    padding: 0;
    color: #404040;

    font-family: Montserrat, sans-serif;

}
body{
    /*height:100%;*/
    background: #ececec;
}
.body-content{
    margin-top: 140px;
    position: relative;

}

.search-group{
    padding-left: 0px;
    padding-right: 0px;
}
.search-form {
    border-radius: 30px 0px 0px 30px;
}
.search-btn {
    border-radius: 0px 30px 30px 0px;
    cursor:pointer;
}
.search-btn-square{
    border-radius: 0px 0px 0px 0px;
    cursor:pointer;
}

.vertical-align {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: row;
}

.fa-large {
    font-size: 20px;
}




